com.independentsoft.exchange

## Class Body

- java.lang.Object
- - com.independentsoft.exchange.Body

-     public class Body
      extends java.lang.Object

  Represents the actual body content of a message.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Body()` Initializes a new instance of the Body class.
    `Body(BodyType type)` Initializes a new instance of the Body class.
    `Body(java.lang.String text)` Initializes a new instance of the Body class.
    `Body(java.lang.String text, BodyType type)` Initializes a new instance of the Body class.
    `Body(java.lang.String text, BodyType type, boolean isTruncated)` Initializes a new instance of the Body class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getText()` Gets plain body text.
    `BodyType` | `getType()` Gets how the item body is stored in the item.
    `boolean` | `isTruncated()` Checks if is truncated.
    `void` | `setText(java.lang.String text)` Sets plain body text.
    `void` | `setTruncated(boolean isTruncated)` Sets the truncated.
    `void` | `setType(BodyType type)` Sets how the item body is stored in the item.
    `java.lang.String` | `toString()` Converts the value of the current Body object to its equivalent string representation.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Body

          public Body()

      Initializes a new instance of the Body class.

    - #### Body

          public Body(java.lang.String text)

      Initializes a new instance of the Body class.
      Parameters:
        `text` - the text

    - #### Body

          public Body(BodyType type)

      Initializes a new instance of the Body class.
      Parameters:
        `type` - the type

    - #### Body

          public Body(java.lang.String text,
                      BodyType type)

      Initializes a new instance of the Body class.
      Parameters:
        `text` - the text
        `type` - the type

    - #### Body

          public Body(java.lang.String text,
                      BodyType type,
                      boolean isTruncated)

      Initializes a new instance of the Body class.
      Parameters:
        `text` - the text
        `type` - the type
        `isTruncated` - the is truncated

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Converts the value of the current Body object to its equivalent string representation.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        the string

    - #### getText

          public java.lang.String getText()

      Gets plain body text.
      Returns:
        the text

    - #### setText

          public void setText(java.lang.String text)

      Sets plain body text.
      Parameters:
        `text` - the new text

    - #### getType

          public BodyType getType()

      Gets how the item body is stored in the item.
      Returns:
        the type

    - #### setType

          public void setType(BodyType type)

      Sets how the item body is stored in the item.
      Parameters:
        `type` - the new type

    - #### isTruncated

          public boolean isTruncated()

      Checks if is truncated.
      Returns:
        true, if is truncated

    - #### setTruncated

          public void setTruncated(boolean isTruncated)

      Sets the truncated.
      Parameters:
        `isTruncated` - the new truncated